Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
89.0.0.0
Broadcast address
89.127.255.255
First usable
89.0.0.1
Last usable
89.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 59000000 · Integer 1493172224 to 1501560831
Reverse DNS zones
0.89.in-addr.arpa
1.89.in-addr.arpa
2.89.in-addr.arpa
3.89.in-addr.arpa
4.89.in-addr.arpa
5.89.in-addr.arpa
6.89.in-addr.arpa
7.89.in-addr.arpa
8.89.in-addr.arpa
9.89.in-addr.arpa
10.89.in-addr.arpa
11.89.in-addr.arpa
12.89.in-addr.arpa
13.89.in-addr.arpa
14.89.in-addr.arpa
15.89.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00000000.00000000.0000000089.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011001.00000000.00000000.0000000089.0.0.0
Broadcast01011001.01111111.11111111.1111111189.127.255.255
Split into smaller subnets/17

89.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.0.0.0/1789.0.0.1 to 89.0.127.25489.0.127.25532,766
289.0.128.0/1789.0.128.1 to 89.0.255.25489.0.255.25532,766
389.1.0.0/1789.1.0.1 to 89.1.127.25489.1.127.25532,766
489.1.128.0/1789.1.128.1 to 89.1.255.25489.1.255.25532,766
589.2.0.0/1789.2.0.1 to 89.2.127.25489.2.127.25532,766
689.2.128.0/1789.2.128.1 to 89.2.255.25489.2.255.25532,766
789.3.0.0/1789.3.0.1 to 89.3.127.25489.3.127.25532,766
889.3.128.0/1789.3.128.1 to 89.3.255.25489.3.255.25532,766
989.4.0.0/1789.4.0.1 to 89.4.127.25489.4.127.25532,766
1089.4.128.0/1789.4.128.1 to 89.4.255.25489.4.255.25532,766
1189.5.0.0/1789.5.0.1 to 89.5.127.25489.5.127.25532,766
1289.5.128.0/1789.5.128.1 to 89.5.255.25489.5.255.25532,766
1389.6.0.0/1789.6.0.1 to 89.6.127.25489.6.127.25532,766
1489.6.128.0/1789.6.128.1 to 89.6.255.25489.6.255.25532,766
1589.7.0.0/1789.7.0.1 to 89.7.127.25489.7.127.25532,766
1689.7.128.0/1789.7.128.1 to 89.7.255.25489.7.255.25532,766
1789.8.0.0/1789.8.0.1 to 89.8.127.25489.8.127.25532,766
1889.8.128.0/1789.8.128.1 to 89.8.255.25489.8.255.25532,766
1989.9.0.0/1789.9.0.1 to 89.9.127.25489.9.127.25532,766
2089.9.128.0/1789.9.128.1 to 89.9.255.25489.9.255.25532,766
2189.10.0.0/1789.10.0.1 to 89.10.127.25489.10.127.25532,766
2289.10.128.0/1789.10.128.1 to 89.10.255.25489.10.255.25532,766
2389.11.0.0/1789.11.0.1 to 89.11.127.25489.11.127.25532,766
2489.11.128.0/1789.11.128.1 to 89.11.255.25489.11.255.25532,766
2589.12.0.0/1789.12.0.1 to 89.12.127.25489.12.127.25532,766
2689.12.128.0/1789.12.128.1 to 89.12.255.25489.12.255.25532,766
2789.13.0.0/1789.13.0.1 to 89.13.127.25489.13.127.25532,766
2889.13.128.0/1789.13.128.1 to 89.13.255.25489.13.255.25532,766
2989.14.0.0/1789.14.0.1 to 89.14.127.25489.14.127.25532,766
3089.14.128.0/1789.14.128.1 to 89.14.255.25489.14.255.25532,766
3189.15.0.0/1789.15.0.1 to 89.15.127.25489.15.127.25532,766
3289.15.128.0/1789.15.128.1 to 89.15.255.25489.15.255.25532,766
3389.16.0.0/1789.16.0.1 to 89.16.127.25489.16.127.25532,766
3489.16.128.0/1789.16.128.1 to 89.16.255.25489.16.255.25532,766
3589.17.0.0/1789.17.0.1 to 89.17.127.25489.17.127.25532,766
3689.17.128.0/1789.17.128.1 to 89.17.255.25489.17.255.25532,766
3789.18.0.0/1789.18.0.1 to 89.18.127.25489.18.127.25532,766
3889.18.128.0/1789.18.128.1 to 89.18.255.25489.18.255.25532,766
3989.19.0.0/1789.19.0.1 to 89.19.127.25489.19.127.25532,766
4089.19.128.0/1789.19.128.1 to 89.19.255.25489.19.255.25532,766
4189.20.0.0/1789.20.0.1 to 89.20.127.25489.20.127.25532,766
4289.20.128.0/1789.20.128.1 to 89.20.255.25489.20.255.25532,766
4389.21.0.0/1789.21.0.1 to 89.21.127.25489.21.127.25532,766
4489.21.128.0/1789.21.128.1 to 89.21.255.25489.21.255.25532,766
4589.22.0.0/1789.22.0.1 to 89.22.127.25489.22.127.25532,766
4689.22.128.0/1789.22.128.1 to 89.22.255.25489.22.255.25532,766
4789.23.0.0/1789.23.0.1 to 89.23.127.25489.23.127.25532,766
4889.23.128.0/1789.23.128.1 to 89.23.255.25489.23.255.25532,766
4989.24.0.0/1789.24.0.1 to 89.24.127.25489.24.127.25532,766
5089.24.128.0/1789.24.128.1 to 89.24.255.25489.24.255.25532,766
5189.25.0.0/1789.25.0.1 to 89.25.127.25489.25.127.25532,766
5289.25.128.0/1789.25.128.1 to 89.25.255.25489.25.255.25532,766
5389.26.0.0/1789.26.0.1 to 89.26.127.25489.26.127.25532,766
5489.26.128.0/1789.26.128.1 to 89.26.255.25489.26.255.25532,766
5589.27.0.0/1789.27.0.1 to 89.27.127.25489.27.127.25532,766
5689.27.128.0/1789.27.128.1 to 89.27.255.25489.27.255.25532,766
5789.28.0.0/1789.28.0.1 to 89.28.127.25489.28.127.25532,766
5889.28.128.0/1789.28.128.1 to 89.28.255.25489.28.255.25532,766
5989.29.0.0/1789.29.0.1 to 89.29.127.25489.29.127.25532,766
6089.29.128.0/1789.29.128.1 to 89.29.255.25489.29.255.25532,766
6189.30.0.0/1789.30.0.1 to 89.30.127.25489.30.127.25532,766
6289.30.128.0/1789.30.128.1 to 89.30.255.25489.30.255.25532,766
6389.31.0.0/1789.31.0.1 to 89.31.127.25489.31.127.25532,766
6489.31.128.0/1789.31.128.1 to 89.31.255.25489.31.255.25532,766
6589.32.0.0/1789.32.0.1 to 89.32.127.25489.32.127.25532,766
6689.32.128.0/1789.32.128.1 to 89.32.255.25489.32.255.25532,766
6789.33.0.0/1789.33.0.1 to 89.33.127.25489.33.127.25532,766
6889.33.128.0/1789.33.128.1 to 89.33.255.25489.33.255.25532,766
6989.34.0.0/1789.34.0.1 to 89.34.127.25489.34.127.25532,766
7089.34.128.0/1789.34.128.1 to 89.34.255.25489.34.255.25532,766
7189.35.0.0/1789.35.0.1 to 89.35.127.25489.35.127.25532,766
7289.35.128.0/1789.35.128.1 to 89.35.255.25489.35.255.25532,766
7389.36.0.0/1789.36.0.1 to 89.36.127.25489.36.127.25532,766
7489.36.128.0/1789.36.128.1 to 89.36.255.25489.36.255.25532,766
7589.37.0.0/1789.37.0.1 to 89.37.127.25489.37.127.25532,766
7689.37.128.0/1789.37.128.1 to 89.37.255.25489.37.255.25532,766
7789.38.0.0/1789.38.0.1 to 89.38.127.25489.38.127.25532,766
7889.38.128.0/1789.38.128.1 to 89.38.255.25489.38.255.25532,766
7989.39.0.0/1789.39.0.1 to 89.39.127.25489.39.127.25532,766
8089.39.128.0/1789.39.128.1 to 89.39.255.25489.39.255.25532,766
8189.40.0.0/1789.40.0.1 to 89.40.127.25489.40.127.25532,766
8289.40.128.0/1789.40.128.1 to 89.40.255.25489.40.255.25532,766
8389.41.0.0/1789.41.0.1 to 89.41.127.25489.41.127.25532,766
8489.41.128.0/1789.41.128.1 to 89.41.255.25489.41.255.25532,766
8589.42.0.0/1789.42.0.1 to 89.42.127.25489.42.127.25532,766
8689.42.128.0/1789.42.128.1 to 89.42.255.25489.42.255.25532,766
8789.43.0.0/1789.43.0.1 to 89.43.127.25489.43.127.25532,766
8889.43.128.0/1789.43.128.1 to 89.43.255.25489.43.255.25532,766
8989.44.0.0/1789.44.0.1 to 89.44.127.25489.44.127.25532,766
9089.44.128.0/1789.44.128.1 to 89.44.255.25489.44.255.25532,766
9189.45.0.0/1789.45.0.1 to 89.45.127.25489.45.127.25532,766
9289.45.128.0/1789.45.128.1 to 89.45.255.25489.45.255.25532,766
9389.46.0.0/1789.46.0.1 to 89.46.127.25489.46.127.25532,766
9489.46.128.0/1789.46.128.1 to 89.46.255.25489.46.255.25532,766
9589.47.0.0/1789.47.0.1 to 89.47.127.25489.47.127.25532,766
9689.47.128.0/1789.47.128.1 to 89.47.255.25489.47.255.25532,766
9789.48.0.0/1789.48.0.1 to 89.48.127.25489.48.127.25532,766
9889.48.128.0/1789.48.128.1 to 89.48.255.25489.48.255.25532,766
9989.49.0.0/1789.49.0.1 to 89.49.127.25489.49.127.25532,766
10089.49.128.0/1789.49.128.1 to 89.49.255.25489.49.255.25532,766
10189.50.0.0/1789.50.0.1 to 89.50.127.25489.50.127.25532,766
10289.50.128.0/1789.50.128.1 to 89.50.255.25489.50.255.25532,766
10389.51.0.0/1789.51.0.1 to 89.51.127.25489.51.127.25532,766
10489.51.128.0/1789.51.128.1 to 89.51.255.25489.51.255.25532,766
10589.52.0.0/1789.52.0.1 to 89.52.127.25489.52.127.25532,766
10689.52.128.0/1789.52.128.1 to 89.52.255.25489.52.255.25532,766
10789.53.0.0/1789.53.0.1 to 89.53.127.25489.53.127.25532,766
10889.53.128.0/1789.53.128.1 to 89.53.255.25489.53.255.25532,766
10989.54.0.0/1789.54.0.1 to 89.54.127.25489.54.127.25532,766
11089.54.128.0/1789.54.128.1 to 89.54.255.25489.54.255.25532,766
11189.55.0.0/1789.55.0.1 to 89.55.127.25489.55.127.25532,766
11289.55.128.0/1789.55.128.1 to 89.55.255.25489.55.255.25532,766
11389.56.0.0/1789.56.0.1 to 89.56.127.25489.56.127.25532,766
11489.56.128.0/1789.56.128.1 to 89.56.255.25489.56.255.25532,766
11589.57.0.0/1789.57.0.1 to 89.57.127.25489.57.127.25532,766
11689.57.128.0/1789.57.128.1 to 89.57.255.25489.57.255.25532,766
11789.58.0.0/1789.58.0.1 to 89.58.127.25489.58.127.25532,766
11889.58.128.0/1789.58.128.1 to 89.58.255.25489.58.255.25532,766
11989.59.0.0/1789.59.0.1 to 89.59.127.25489.59.127.25532,766
12089.59.128.0/1789.59.128.1 to 89.59.255.25489.59.255.25532,766
12189.60.0.0/1789.60.0.1 to 89.60.127.25489.60.127.25532,766
12289.60.128.0/1789.60.128.1 to 89.60.255.25489.60.255.25532,766
12389.61.0.0/1789.61.0.1 to 89.61.127.25489.61.127.25532,766
12489.61.128.0/1789.61.128.1 to 89.61.255.25489.61.255.25532,766
12589.62.0.0/1789.62.0.1 to 89.62.127.25489.62.127.25532,766
12689.62.128.0/1789.62.128.1 to 89.62.255.25489.62.255.25532,766
12789.63.0.0/1789.63.0.1 to 89.63.127.25489.63.127.25532,766
12889.63.128.0/1789.63.128.1 to 89.63.255.25489.63.255.25532,766
12989.64.0.0/1789.64.0.1 to 89.64.127.25489.64.127.25532,766
13089.64.128.0/1789.64.128.1 to 89.64.255.25489.64.255.25532,766
13189.65.0.0/1789.65.0.1 to 89.65.127.25489.65.127.25532,766
13289.65.128.0/1789.65.128.1 to 89.65.255.25489.65.255.25532,766
13389.66.0.0/1789.66.0.1 to 89.66.127.25489.66.127.25532,766
13489.66.128.0/1789.66.128.1 to 89.66.255.25489.66.255.25532,766
13589.67.0.0/1789.67.0.1 to 89.67.127.25489.67.127.25532,766
13689.67.128.0/1789.67.128.1 to 89.67.255.25489.67.255.25532,766
13789.68.0.0/1789.68.0.1 to 89.68.127.25489.68.127.25532,766
13889.68.128.0/1789.68.128.1 to 89.68.255.25489.68.255.25532,766
13989.69.0.0/1789.69.0.1 to 89.69.127.25489.69.127.25532,766
14089.69.128.0/1789.69.128.1 to 89.69.255.25489.69.255.25532,766
14189.70.0.0/1789.70.0.1 to 89.70.127.25489.70.127.25532,766
14289.70.128.0/1789.70.128.1 to 89.70.255.25489.70.255.25532,766
14389.71.0.0/1789.71.0.1 to 89.71.127.25489.71.127.25532,766
14489.71.128.0/1789.71.128.1 to 89.71.255.25489.71.255.25532,766
14589.72.0.0/1789.72.0.1 to 89.72.127.25489.72.127.25532,766
14689.72.128.0/1789.72.128.1 to 89.72.255.25489.72.255.25532,766
14789.73.0.0/1789.73.0.1 to 89.73.127.25489.73.127.25532,766
14889.73.128.0/1789.73.128.1 to 89.73.255.25489.73.255.25532,766
14989.74.0.0/1789.74.0.1 to 89.74.127.25489.74.127.25532,766
15089.74.128.0/1789.74.128.1 to 89.74.255.25489.74.255.25532,766
15189.75.0.0/1789.75.0.1 to 89.75.127.25489.75.127.25532,766
15289.75.128.0/1789.75.128.1 to 89.75.255.25489.75.255.25532,766
15389.76.0.0/1789.76.0.1 to 89.76.127.25489.76.127.25532,766
15489.76.128.0/1789.76.128.1 to 89.76.255.25489.76.255.25532,766
15589.77.0.0/1789.77.0.1 to 89.77.127.25489.77.127.25532,766
15689.77.128.0/1789.77.128.1 to 89.77.255.25489.77.255.25532,766
15789.78.0.0/1789.78.0.1 to 89.78.127.25489.78.127.25532,766
15889.78.128.0/1789.78.128.1 to 89.78.255.25489.78.255.25532,766
15989.79.0.0/1789.79.0.1 to 89.79.127.25489.79.127.25532,766
16089.79.128.0/1789.79.128.1 to 89.79.255.25489.79.255.25532,766
16189.80.0.0/1789.80.0.1 to 89.80.127.25489.80.127.25532,766
16289.80.128.0/1789.80.128.1 to 89.80.255.25489.80.255.25532,766
16389.81.0.0/1789.81.0.1 to 89.81.127.25489.81.127.25532,766
16489.81.128.0/1789.81.128.1 to 89.81.255.25489.81.255.25532,766
16589.82.0.0/1789.82.0.1 to 89.82.127.25489.82.127.25532,766
16689.82.128.0/1789.82.128.1 to 89.82.255.25489.82.255.25532,766
16789.83.0.0/1789.83.0.1 to 89.83.127.25489.83.127.25532,766
16889.83.128.0/1789.83.128.1 to 89.83.255.25489.83.255.25532,766
16989.84.0.0/1789.84.0.1 to 89.84.127.25489.84.127.25532,766
17089.84.128.0/1789.84.128.1 to 89.84.255.25489.84.255.25532,766
17189.85.0.0/1789.85.0.1 to 89.85.127.25489.85.127.25532,766
17289.85.128.0/1789.85.128.1 to 89.85.255.25489.85.255.25532,766
17389.86.0.0/1789.86.0.1 to 89.86.127.25489.86.127.25532,766
17489.86.128.0/1789.86.128.1 to 89.86.255.25489.86.255.25532,766
17589.87.0.0/1789.87.0.1 to 89.87.127.25489.87.127.25532,766
17689.87.128.0/1789.87.128.1 to 89.87.255.25489.87.255.25532,766
17789.88.0.0/1789.88.0.1 to 89.88.127.25489.88.127.25532,766
17889.88.128.0/1789.88.128.1 to 89.88.255.25489.88.255.25532,766
17989.89.0.0/1789.89.0.1 to 89.89.127.25489.89.127.25532,766
18089.89.128.0/1789.89.128.1 to 89.89.255.25489.89.255.25532,766
18189.90.0.0/1789.90.0.1 to 89.90.127.25489.90.127.25532,766
18289.90.128.0/1789.90.128.1 to 89.90.255.25489.90.255.25532,766
18389.91.0.0/1789.91.0.1 to 89.91.127.25489.91.127.25532,766
18489.91.128.0/1789.91.128.1 to 89.91.255.25489.91.255.25532,766
18589.92.0.0/1789.92.0.1 to 89.92.127.25489.92.127.25532,766
18689.92.128.0/1789.92.128.1 to 89.92.255.25489.92.255.25532,766
18789.93.0.0/1789.93.0.1 to 89.93.127.25489.93.127.25532,766
18889.93.128.0/1789.93.128.1 to 89.93.255.25489.93.255.25532,766
18989.94.0.0/1789.94.0.1 to 89.94.127.25489.94.127.25532,766
19089.94.128.0/1789.94.128.1 to 89.94.255.25489.94.255.25532,766
19189.95.0.0/1789.95.0.1 to 89.95.127.25489.95.127.25532,766
19289.95.128.0/1789.95.128.1 to 89.95.255.25489.95.255.25532,766
19389.96.0.0/1789.96.0.1 to 89.96.127.25489.96.127.25532,766
19489.96.128.0/1789.96.128.1 to 89.96.255.25489.96.255.25532,766
19589.97.0.0/1789.97.0.1 to 89.97.127.25489.97.127.25532,766
19689.97.128.0/1789.97.128.1 to 89.97.255.25489.97.255.25532,766
19789.98.0.0/1789.98.0.1 to 89.98.127.25489.98.127.25532,766
19889.98.128.0/1789.98.128.1 to 89.98.255.25489.98.255.25532,766
19989.99.0.0/1789.99.0.1 to 89.99.127.25489.99.127.25532,766
20089.99.128.0/1789.99.128.1 to 89.99.255.25489.99.255.25532,766
20189.100.0.0/1789.100.0.1 to 89.100.127.25489.100.127.25532,766
20289.100.128.0/1789.100.128.1 to 89.100.255.25489.100.255.25532,766
20389.101.0.0/1789.101.0.1 to 89.101.127.25489.101.127.25532,766
20489.101.128.0/1789.101.128.1 to 89.101.255.25489.101.255.25532,766
20589.102.0.0/1789.102.0.1 to 89.102.127.25489.102.127.25532,766
20689.102.128.0/1789.102.128.1 to 89.102.255.25489.102.255.25532,766
20789.103.0.0/1789.103.0.1 to 89.103.127.25489.103.127.25532,766
20889.103.128.0/1789.103.128.1 to 89.103.255.25489.103.255.25532,766
20989.104.0.0/1789.104.0.1 to 89.104.127.25489.104.127.25532,766
21089.104.128.0/1789.104.128.1 to 89.104.255.25489.104.255.25532,766
21189.105.0.0/1789.105.0.1 to 89.105.127.25489.105.127.25532,766
21289.105.128.0/1789.105.128.1 to 89.105.255.25489.105.255.25532,766
21389.106.0.0/1789.106.0.1 to 89.106.127.25489.106.127.25532,766
21489.106.128.0/1789.106.128.1 to 89.106.255.25489.106.255.25532,766
21589.107.0.0/1789.107.0.1 to 89.107.127.25489.107.127.25532,766
21689.107.128.0/1789.107.128.1 to 89.107.255.25489.107.255.25532,766
21789.108.0.0/1789.108.0.1 to 89.108.127.25489.108.127.25532,766
21889.108.128.0/1789.108.128.1 to 89.108.255.25489.108.255.25532,766
21989.109.0.0/1789.109.0.1 to 89.109.127.25489.109.127.25532,766
22089.109.128.0/1789.109.128.1 to 89.109.255.25489.109.255.25532,766
22189.110.0.0/1789.110.0.1 to 89.110.127.25489.110.127.25532,766
22289.110.128.0/1789.110.128.1 to 89.110.255.25489.110.255.25532,766
22389.111.0.0/1789.111.0.1 to 89.111.127.25489.111.127.25532,766
22489.111.128.0/1789.111.128.1 to 89.111.255.25489.111.255.25532,766
22589.112.0.0/1789.112.0.1 to 89.112.127.25489.112.127.25532,766
22689.112.128.0/1789.112.128.1 to 89.112.255.25489.112.255.25532,766
22789.113.0.0/1789.113.0.1 to 89.113.127.25489.113.127.25532,766
22889.113.128.0/1789.113.128.1 to 89.113.255.25489.113.255.25532,766
22989.114.0.0/1789.114.0.1 to 89.114.127.25489.114.127.25532,766
23089.114.128.0/1789.114.128.1 to 89.114.255.25489.114.255.25532,766
23189.115.0.0/1789.115.0.1 to 89.115.127.25489.115.127.25532,766
23289.115.128.0/1789.115.128.1 to 89.115.255.25489.115.255.25532,766
23389.116.0.0/1789.116.0.1 to 89.116.127.25489.116.127.25532,766
23489.116.128.0/1789.116.128.1 to 89.116.255.25489.116.255.25532,766
23589.117.0.0/1789.117.0.1 to 89.117.127.25489.117.127.25532,766
23689.117.128.0/1789.117.128.1 to 89.117.255.25489.117.255.25532,766
23789.118.0.0/1789.118.0.1 to 89.118.127.25489.118.127.25532,766
23889.118.128.0/1789.118.128.1 to 89.118.255.25489.118.255.25532,766
23989.119.0.0/1789.119.0.1 to 89.119.127.25489.119.127.25532,766
24089.119.128.0/1789.119.128.1 to 89.119.255.25489.119.255.25532,766
24189.120.0.0/1789.120.0.1 to 89.120.127.25489.120.127.25532,766
24289.120.128.0/1789.120.128.1 to 89.120.255.25489.120.255.25532,766
24389.121.0.0/1789.121.0.1 to 89.121.127.25489.121.127.25532,766
24489.121.128.0/1789.121.128.1 to 89.121.255.25489.121.255.25532,766
24589.122.0.0/1789.122.0.1 to 89.122.127.25489.122.127.25532,766
24689.122.128.0/1789.122.128.1 to 89.122.255.25489.122.255.25532,766
24789.123.0.0/1789.123.0.1 to 89.123.127.25489.123.127.25532,766
24889.123.128.0/1789.123.128.1 to 89.123.255.25489.123.255.25532,766
24989.124.0.0/1789.124.0.1 to 89.124.127.25489.124.127.25532,766
25089.124.128.0/1789.124.128.1 to 89.124.255.25489.124.255.25532,766
25189.125.0.0/1789.125.0.1 to 89.125.127.25489.125.127.25532,766
25289.125.128.0/1789.125.128.1 to 89.125.255.25489.125.255.25532,766
25389.126.0.0/1789.126.0.1 to 89.126.127.25489.126.127.25532,766
25489.126.128.0/1789.126.128.1 to 89.126.255.25489.126.255.25532,766
25589.127.0.0/1789.127.0.1 to 89.127.127.25489.127.127.25532,766
25689.127.128.0/1789.127.128.1 to 89.127.255.25489.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses